commit_types = {
    "access": {
        "description": "Improve accessibility.",
        "emoji": "♿️"
    },
    "analytics": {
        "description": "Add or update analytics or track code.",
        "emoji": "📈"
    },
    "animation": {
        "description": "Add or update animations and transitions.",
        "emoji": "💫"
    },
    "arch": {
        "description": "Make architectural changes.",
        "emoji": "🏗️"
    },
    "assets": {
        "description": "Add or update assets.",
        "emoji": "🍱"
    },
    "beer": {
        "description": "Write code drunkenly.",
        "emoji": "🍻"
    },
    "breaking": {
        "description": "Introduce breaking changes.",
        "emoji": "💥"
    },
    "build": {
        "description": "Add or update development scripts.",
        "emoji": "🔨"
    },
    "catch": {
        "description": "Catch errors.",
        "emoji": "🥅"
    },
    "chore": {
        "description": "Changes that don’t modify src or test files",
        "emoji": "💽️"
    },
    "ci": {
        "description": "Add or update CI build system.",
        "emoji": "👷"
    },
    "clean": {
        "description": "Deprecate code that needs to be cleaned up.",
        "emoji": "🗑️"
    },
    "compat": {
        "description": "Update code due to external API changes.",
        "emoji": "👽️"
    },
    "concurrency": {
        "description": "Add or update code related to multithreading or concurrency.",
        "emoji": "🧵"
    },
    "config": {
        "description": "Add or update configuration files.",
        "emoji": "🔧"
    },
    "contrib-add": {
        "description": "Add or update contributor(s).",
        "emoji": "👥"
    },
    "data": {
        "description": "Data exploration/inspection.",
        "emoji": "🧐"
    },
    "db": {
        "description": "Perform database related changes.",
        "emoji": "🗃️"
    },
    "dep-add": {
        "description": "Add a dependency.",
        "emoji": "➕"
    },
    "dep-rm": {
        "description": "Remove a dependency.",
        "emoji": "➖"
    },
    "dep-up": {
        "description": "Add or update compiled files or packages.",
        "emoji": "📦️"
    },
    "deploy": {
        "description": "Deploy stuff.",
        "emoji": "🚀"
    },
    "docs": {
        "description": "Add or update documentation.",
        "emoji": "📝"
    },
    "docs-code": {
        "description": "Add or update comments in source code.",
        "emoji": "💡"
    },
    "downgrade": {
        "description": "Downgrade dependencies.",
        "emoji": "⬇️"
    },
    "dx": {
        "description": "Improve developer experience",
        "emoji": "🧑‍💻"
    },
    "egg": {
        "description": "Add or update an easter egg.",
        "emoji": "🥚"
    },
    "experiment": {
        "description": "Perform experiments.",
        "emoji": "⚗️"
    },
    "feat": {
        "description": "Introduce new features.",
        "emoji": "✨"
    },
    "fix": {
        "description": "Fix a bug.",
        "emoji": "🐛"
    },
    "fix-ci": {
        "description": "Fix CI Build.",
        "emoji": "💚"
    },
    "flags": {
        "description": "Add, update, or remove feature flags.",
        "emoji": "🚩"
    },
    "healthcheck": {
        "description": "Add or update healthcheck.",
        "emoji": "🩺"
    },
    "hotfix": {
        "description": "Critical hotfix.",
        "emoji": "🚑️"
    },
    "i18n": {
        "description": "Internationalization and localization.",
        "emoji": "🌐"
    },
    "ignore": {
        "description": "Add or update a .gitignore file.",
        "emoji": "🙈"
    },
    "inf": {
        "description": "Infrastructure related changes.",
        "emoji": "🧱"
    },
    "init": {
        "description": "Begin a project.",
        "emoji": "🎉"
    },
    "iphone": {
        "description": "Work on responsive design.",
        "emoji": "📱"
    },
    "license": {
        "description": "Add or update license.",
        "emoji": "📄"
    },
    "lint": {
        "description": "Fix compiler / linter warnings.",
        "emoji": "🚨"
    },
    "log-add": {
        "description": "Add or update logs.",
        "emoji": "🔊"
    },
    "log-rm": {
        "description": "Remove logs.",
        "emoji": "🔇"
    },
    "logic": {
        "description": "Add or update business logic",
        "emoji": "👔"
    },
    "merge": {
        "description": "Merge branches.",
        "emoji": "🔀"
    },
    "mock": {
        "description": "Mock things.",
        "emoji": "🤡"
    },
    "mv": {
        "description": "Move or rename resources (e.g. files, paths, routes).",
        "emoji": "🚚"
    },
    "patch": {
        "description": "Simple fix for a non-critical issue.",
        "emoji": "🩹"
    },
    "perf": {
        "description": "Improve performance.",
        "emoji": "⚡️"
    },
    "poo": {
        "description": "Write bad code that needs to be improved.",
        "emoji": "💩"
    },
    "prune": {
        "description": "Remove code or files.",
        "emoji": "🔥"
    },
    "pushpin": {
        "description": "Pin dependencies to specific versions.",
        "emoji": "📌"
    },
    "refactor": {
        "description": "Refactor code.",
        "emoji": "♻️"
    },
    "release": {
        "description": "Release / Version tags.",
        "emoji": "🔖"
    },
    "revert": {
        "description": "Revert changes.",
        "emoji": "⏪️"
    },
    "rip": {
        "description": "Remove dead code.",
        "emoji": "⚰️"
    },
    "roles": {
        "description": "Work on code related to authorization, roles and permissions.",
        "emoji": "🛂"
    },
    "rollforward": {
        "description": "Create rollforward version.",
        "emoji": "⏩️"
    },
    "run-build": {
        "description": "Custom type for CI/CD to hook into run build override.",
        "emoji": "🚀️"
    },
    "secrets": {
        "description": "Add or update secrets.",
        "emoji": "🔐"
    },
    "security": {
        "description": "Fix security issues.",
        "emoji": "🔒️"
    },
    "seed": {
        "description": "Add or update seed files.",
        "emoji": "🌱"
    },
    "seo": {
        "description": "Improve SEO.",
        "emoji": "🔍️"
    },
    "snapshot": {
        "description": "Add or update snapshots.",
        "emoji": "📸"
    },
    "sponsor": {
        "description": "Add sponsorships or money related infrastructure.",
        "emoji": "💸"
    },
    "style": {
        "description": "Improve structure / format of the code.",
        "emoji": "🎨"
    },
    "test": {
        "description": "Add, update, or pass tests.",
        "emoji": "✅"
    },
    "test-fail": {
        "description": "Add a failing test.",
        "emoji": "🧪"
    },
    "texts": {
        "description": "Add or update text and literals.",
        "emoji": "💬"
    },
    "types": {
        "description": "Add or update types.",
        "emoji": "🏷️"
    },
    "typo": {
        "description": "Fix typos.",
        "emoji": "✏️"
    },
    "ui": {
        "description": "Add or update the UI and style files.",
        "emoji": "💄"
    },
    "upgrade": {
        "description": "Upgrade dependencies.",
        "emoji": "⬆️"
    },
    "ux": {
        "description": "Improve user experience / usability.",
        "emoji": "🚸"
    },
    "validation": {
        "description": "Add or update code related to validation.",
        "emoji": "🦺"
    },
    "wip": {
        "description": "Work in progress.",
        "emoji": "🚧"
    }
}
